﻿@model IEnumerable<EnergyMission.Domain.Entities.SiteEntity>


<link href="~/Content/CustomScreen3.css" rel="stylesheet" />
@*<script src="~/Scripts/jquery-2.1.3.js"></script>*@

@Html.Raw(File.ReadAllText(Server.MapPath("~/Views/Shared/_GridViewCommon.txt")))

@{

    EnergyMission.Domain.Entities.SiteEntity Sites = new SiteEntity();


}

<link href="~/Content/CustomScreen3.css" rel="stylesheet" />

@section Scripts{

<script>

    $(document).ready(function () {

        var value = "@ViewBag.msg";
        $("#AddEditClient").hide();
        if (value == "") {

            $("#errorssms").hide();

        }
        else {
            $("#errorssms").show();

        }
        $("#GotoList").click(function () {
            $("#errorssms").hide();
            $("#AddEditClient").hide();
            cancelall();

        })

        $("#Addoganization").click(function () {
            $("#errorssms").hide();
            $("#AddEditClient").show();


        });



    });


   
    function cancelall() {


        $("#Id").val('');
        $("#Name").val('');      
        $("#LocationId").val('');



        return false;
    }


  

</script>
    <script>
        function OnSuccess(data, gvName) {     

            var gridInstance = ASPxClientControl.GetControlCollection().GetByName(gvName);        
            gridInstance.Refresh();

        }


        var selectedKeys = "";
        function aspxSEClick(selectedValues) {

            var value = selectedValues;

            $.ajax({
                type: "Get",
                url: "/Sites/Edits",
                data: { "Id": value },
                dataType: 'json',
                contentType: "application/json;charset=utf-8",
                success: function (data) {

                    value = JSON.stringify(data);       //alert(value);
                    $("#Id").val(data.result[0].id);
                    $("#Name").val(data.result[0].name);
                    $("#LocationId").val(data.result[0].locationId);

                    $("#AddEditClient").show();
                    $("#errorssms").hide();
                    return false;
                },


                error: function (textStatus, errorThrown) {

                    alert(textStatus);
                }
            });

        }

    </script>

    }





<div class="second-menu">
    <h3>Sites</h3>
   
</div>




<div class="examples">
 
        <div class="gray_bg">
            <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>
            <!-- Start White Inner -->
            <div class="white_inner">
                <!-- Start Location -->
                <div class="client_verfied delete">
                    <div class="LocationMappings">
                     
                            <div class="inner">
                                @Html.Action("GridViewPartial")
                                <a href="javascript:void(0)" id="Addoganization" class="add_new">Add New</a>
                            </div>



                      
                        <!-- End Location -->
                    </div>
            </div>
            </div>
            <div id="AddEditClient">
                @Html.Partial("_AddEditPartial", Sites)
            </div>

        </div>

    </div>





